Autore Topic: IE8 compatibility  (Letto 8616 volte)

Offline tonicopi

  • Global Moderator
  • Instancabile
  • ********
  • Post: 12762
  • Sesso: Maschio
    • Mostra profilo
IE8 compatibility
« il: 13 Ago 2011, 19:11:40 »
A suo tempo avevo scritto questo articolo su un plugin col quale si può forzare IE ad aprire il sito in modalità compatibile. Mi è stato segnalato che  il plugin non si trova più nella JED ed è scomparso anche il sito dello sviluppatore. Allora l'ho messo qui tra i download della community perchè mantiene ancora una sua utilità.
 ;)

joomlacsszengarden.com = il giardino dei css di Joomla!
L'attesa del piacere è essa stessa... piacere!

Offline gabrielev

  • Esploratore
  • **
  • Post: 85
    • Mostra profilo
Re:IE8 compatibility
« Risposta #1 il: 05 Ott 2011, 18:26:23 »
grazie tonicopi!! mi è servito per un problema che però succedeva solo con IE 9. In pratica con "swmenufree" anche se avevo impostato la lunghezza dei submenu in auto, con IE9 aveva sempre una grandezza, e con un titolo menu più lungo, la scritta usciva fuori. Con questo plugin ho impostato la compatibilità a IE8 e adesso è tutto ok. Possibile che la microsoft va avanti e peggiora le cose?? poi si lamentano che IE sta perdendo utenti...
themysecret.com: comunica con i tuoi amici o crea il tuo diario segreto in tutta sicurezza

Offline ApaCr

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
  • Bere poco ma bere bene!
    • Mostra profilo
Re:IE8 compatibility
« Risposta #2 il: 27 Ago 2012, 13:01:02 »
Ciao tonicopi, il mio sito utlizza la piattaforma joomla 2.5 e nonostante abbia installato il componente "IE8 Compatibility" continuo a visualizzare con IE9 un spazio aggiuntivo sopra il banner in Homepage. Come posso fare per risolvere, visto che con Firefox visualizzo il sito correttamente?


Offline tonicopi

  • Global Moderator
  • Instancabile
  • ********
  • Post: 12762
  • Sesso: Maschio
    • Mostra profilo
Re:IE8 compatibility
« Risposta #3 il: 29 Ago 2012, 10:20:16 »
Strano comportamento. Puoi mettere un link al sito?
joomlacsszengarden.com = il giardino dei css di Joomla!
L'attesa del piacere è essa stessa... piacere!

Offline ApaCr

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
  • Bere poco ma bere bene!
    • Mostra profilo
Re:IE8 compatibility [RISOLTO]
« Risposta #4 il: 29 Ago 2012, 10:27:58 »
Ciao tonicopi, ho trovato una tua vecchia discussione dove scrivevi di modificare la posizione #line nel file personal.css del templates Beez20. Ora che ho modificato i pixel in corrispondenza della voce top, la visualizzazione è corretta anche con IE9.
« Ultima modifica: 29 Ago 2012, 10:30:12 da ApaCr »

Offline GIMP_92

  • Nuovo arrivato
  • *
  • Post: 6
    • Mostra profilo
Re:IE8 compatibility
« Risposta #5 il: 26 Set 2012, 11:46:35 »
Salve a tutti...anche io ho dei problemi con IE...ho scaricato il plugin che ha linkato tonicopi...ma all'interno ho trovato plugin compatibili con le versione 1.0, 1.5, 1.7 d joomla...come posso fare per la versione 2.5 ???

Offline tonicopi

  • Global Moderator
  • Instancabile
  • ********
  • Post: 12762
  • Sesso: Maschio
    • Mostra profilo
Re:IE8 compatibility
« Risposta #6 il: 26 Set 2012, 11:53:18 »
In linea di massima  le estensioni per la 1.7 funzionano anche nella 2.5  :)
Sempre backup prima di ogni operazione nel sito  ;)
joomlacsszengarden.com = il giardino dei css di Joomla!
L'attesa del piacere è essa stessa... piacere!

Offline GIMP_92

  • Nuovo arrivato
  • *
  • Post: 6
    • Mostra profilo
Re:IE8 compatibility
« Risposta #7 il: 18 Ott 2012, 11:12:22 »
sisi...grazie mille  :D !!!!!!!!!!!!!!!!!

Offline Xtian

  • Nuovo arrivato
  • *
  • Post: 43
    • Mostra profilo
Re:IE8 compatibility
« Risposta #8 il: 15 Apr 2013, 16:48:27 »
Ho provato a scaricare il file .zip da qui:
http://www.joomla.it/download-della-community/item/229-ie8_compatibility.html
ma mi risulta uno zip corrotto.
E' possibile recuprarlo da qualche altra parte?

Offline Xtian

  • Nuovo arrivato
  • *
  • Post: 43
    • Mostra profilo
Re:IE8 compatibility
« Risposta #9 il: 15 Apr 2013, 16:53:17 »
Ho scoperto che è sufficente mettere il tag:
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7"/>
prima del tag head nel template per risolvere la maggior parte dei miei problemi.

 

Host

Torna su